package com.zcloud.modules.invoicing.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.invoicing.entity.BusInvoicingEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.lang.reflect.InvocationTargetException;
import java.util.List;
import java.util.Map;

/**
 * @Author lizenan
 * @Desc 开票管理表(BusInvoicing)表服务接口
 * @Date 2024-04-03 15:15:38
 */
public interface BusInvoicingService extends IService<BusInvoicingEntity> {

    BusInvoicingEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusInvoicingEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String invoicingId,String userId);

    /**
     * 通过主键获取数据
     */
    BusInvoicingEntity info(BusInvoicingEntity params);


    void update(BusInvoicingEntity param) throws Exception;

}
